Bug 1508337 - Starting openvswitch.service causes AVC denials to be logged
Summary: Starting openvswitch.service causes AVC denials to be logged
Keywords:
Status: CLOSED DUPLICATE of bug 1508336
Alias: None
Product: Fedora
Classification: Fedora
Component: openvswitch
Version: 27
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Aaron Conole
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-01 08:54 UTC by Jan Pazdziora
Modified: 2018-06-25 09:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-25 09:54:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Pazdziora 2017-11-01 08:54:23 UTC
Description of problem:

When openvswitch.service is started, AVC denials about openvswitch_var_run_t and openvswitch_t are logged.

Version-Release number of selected component (if applicable):

openvswitch-2.7.3-2.fc26.x86_64
selinux-policy-3.13.1-260.13.fc26.noarch
kernel-4.13.5-200.fc26.x86_64

How reproducible:

Deterministic.

Steps to Reproduce:
1. systemctl start openvswitch
2. Check the audit.log.

Actual results:

type=AVC msg=audit(1509463658.407:136): avc:  denied  { write } for  pid=1 comm="systemd" name="db.sock" dev="tmpfs" ino=33476 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:openvswitch_var_run_t:s0 tclass=sock_file permissive=0

type=AVC msg=audit(1509463658.439:137): avc:  denied  { module_load } for  pid=9096 comm="modprobe" scontext=system_u:system_r:openvswitch_t:s0 tcontext=system_u:system_r:openvswitch_t:s0 tclass=system permissive=0

type=AVC msg=audit(1509463658.449:138): avc:  denied  { module_load } for  pid=9096 comm="modprobe" scontext=system_u:system_r:openvswitch_t:s0 tcontext=system_u:system_r:openvswitch_t:s0 tclass=system permissive=0

Expected results:

No AVC denials.

Additional info:

Comment 2 Jan Pazdziora 2017-11-01 08:55:49 UTC
Note that on Fedora 27, the AVC denials are different: bug 1508336.

Comment 3 Jan Pazdziora 2018-03-05 12:45:46 UTC
Is there any progress with the investigation?

Comment 4 Aaron Conole 2018-03-05 20:49:41 UTC
https://github.com/orgcandman/ovs/tree/systemd_enhancements

This branch contains the proposal for the domain-transitioned helper script.  I need to clean up the commits and then submit it upstream.  Once it's accepted we can bring it back.

Comment 5 Fedora End Of Life 2018-05-03 08:25:25 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Jan Pazdziora 2018-05-10 09:07:26 UTC
Updating version as the issue is still present with openvswitch-2.8.1-1.fc27.x86_64.

Comment 7 Aaron Conole 2018-05-10 13:35:03 UTC
https://mail.openvswitch.org/pipermail/ovs-dev/2018-May/346633.html

Work is still on going to get this accepted upstream.

Comment 9 Jan Pazdziora 2018-06-25 09:54:34 UTC
We already have Fedora 27 bug 1508336, closing this one as dupe as no fix is coming for Fedora 26.

*** This bug has been marked as a duplicate of bug 1508336 ***


Note You need to log in before you can comment on or make changes to this bug.